Update a ticket
curl --request PATCH \
--url https://api.usefrictionless.com/api/v1/tickets/{ref} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "in_progress",
"priority": "high",
"subject": "<string>",
"description": "<string>",
"type": "<string>",
"dueAt": "2023-11-07T05:31:56Z",
"note": "The refund is on its way.",
"notifyCustomer": true
}
'import requests
url = "https://api.usefrictionless.com/api/v1/tickets/{ref}"
payload = {
"status": "in_progress",
"priority": "high",
"subject": "<string>",
"description": "<string>",
"type": "<string>",
"dueAt": "2023-11-07T05:31:56Z",
"note": "The refund is on its way.",
"notifyCustomer": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
status: 'in_progress',
priority: 'high',
subject: '<string>',
description: '<string>',
type: '<string>',
dueAt: '2023-11-07T05:31:56Z',
note: 'The refund is on its way.',
notifyCustomer: true
})
};
fetch('https://api.usefrictionless.com/api/v1/tickets/{ref}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usefrictionless.com/api/v1/tickets/{ref}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'status' => 'in_progress',
'priority' => 'high',
'subject' => '<string>',
'description' => '<string>',
'type' => '<string>',
'dueAt' => '2023-11-07T05:31:56Z',
'note' => 'The refund is on its way.',
'notifyCustomer' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.usefrictionless.com/api/v1/tickets/{ref}"
payload := strings.NewReader("{\n \"status\": \"in_progress\",\n \"priority\": \"high\",\n \"subject\": \"<string>\",\n \"description\": \"<string>\",\n \"type\": \"<string>\",\n \"dueAt\": \"2023-11-07T05:31:56Z\",\n \"note\": \"The refund is on its way.\",\n \"notifyCustomer\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.usefrictionless.com/api/v1/tickets/{ref}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"status\": \"in_progress\",\n \"priority\": \"high\",\n \"subject\": \"<string>\",\n \"description\": \"<string>\",\n \"type\": \"<string>\",\n \"dueAt\": \"2023-11-07T05:31:56Z\",\n \"note\": \"The refund is on its way.\",\n \"notifyCustomer\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.usefrictionless.com/api/v1/tickets/{ref}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"status\": \"in_progress\",\n \"priority\": \"high\",\n \"subject\": \"<string>\",\n \"description\": \"<string>\",\n \"type\": \"<string>\",\n \"dueAt\": \"2023-11-07T05:31:56Z\",\n \"note\": \"The refund is on its way.\",\n \"notifyCustomer\": true\n}"
response = http.request(request)
puts response.read_body{
"ticket": {
"id": "NE-1042",
"ticketId": "c0a8f3e2-5b1d-4f7e-9a3c-1e2d3f4a5b6c",
"subject": "Refund for order 381",
"description": "<string>",
"type": "Refund",
"priority": "high",
"status": "in_progress",
"dueAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z",
"createdAt": "2026-11-04T09:12:00Z",
"updatedAt": "2026-11-05T10:00:00Z",
"notifyCustomer": true,
"customer": {
"name": "Ada Obi",
"channel": "whatsapp",
"phone": "+2348012345678",
"email": "<string>",
"userId": "user_42"
},
"owner": {
"name": "Kemi"
},
"chatUrl": "<string>",
"url": "https://usefrictionless.com/tickets/NE-1042"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Tickets
Update a ticket
Only the fields you send change. Moving the status to in_progress or resolved messages the customer, unless you send notifyCustomer false. Your ticket webhook gets ticket.updated, or ticket.resolved.
PATCH
/
tickets
/
{ref}
Update a ticket
curl --request PATCH \
--url https://api.usefrictionless.com/api/v1/tickets/{ref} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "in_progress",
"priority": "high",
"subject": "<string>",
"description": "<string>",
"type": "<string>",
"dueAt": "2023-11-07T05:31:56Z",
"note": "The refund is on its way.",
"notifyCustomer": true
}
'import requests
url = "https://api.usefrictionless.com/api/v1/tickets/{ref}"
payload = {
"status": "in_progress",
"priority": "high",
"subject": "<string>",
"description": "<string>",
"type": "<string>",
"dueAt": "2023-11-07T05:31:56Z",
"note": "The refund is on its way.",
"notifyCustomer": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
status: 'in_progress',
priority: 'high',
subject: '<string>',
description: '<string>',
type: '<string>',
dueAt: '2023-11-07T05:31:56Z',
note: 'The refund is on its way.',
notifyCustomer: true
})
};
fetch('https://api.usefrictionless.com/api/v1/tickets/{ref}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usefrictionless.com/api/v1/tickets/{ref}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'status' => 'in_progress',
'priority' => 'high',
'subject' => '<string>',
'description' => '<string>',
'type' => '<string>',
'dueAt' => '2023-11-07T05:31:56Z',
'note' => 'The refund is on its way.',
'notifyCustomer' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.usefrictionless.com/api/v1/tickets/{ref}"
payload := strings.NewReader("{\n \"status\": \"in_progress\",\n \"priority\": \"high\",\n \"subject\": \"<string>\",\n \"description\": \"<string>\",\n \"type\": \"<string>\",\n \"dueAt\": \"2023-11-07T05:31:56Z\",\n \"note\": \"The refund is on its way.\",\n \"notifyCustomer\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.usefrictionless.com/api/v1/tickets/{ref}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"status\": \"in_progress\",\n \"priority\": \"high\",\n \"subject\": \"<string>\",\n \"description\": \"<string>\",\n \"type\": \"<string>\",\n \"dueAt\": \"2023-11-07T05:31:56Z\",\n \"note\": \"The refund is on its way.\",\n \"notifyCustomer\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.usefrictionless.com/api/v1/tickets/{ref}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"status\": \"in_progress\",\n \"priority\": \"high\",\n \"subject\": \"<string>\",\n \"description\": \"<string>\",\n \"type\": \"<string>\",\n \"dueAt\": \"2023-11-07T05:31:56Z\",\n \"note\": \"The refund is on its way.\",\n \"notifyCustomer\": true\n}"
response = http.request(request)
puts response.read_body{
"ticket": {
"id": "NE-1042",
"ticketId": "c0a8f3e2-5b1d-4f7e-9a3c-1e2d3f4a5b6c",
"subject": "Refund for order 381",
"description": "<string>",
"type": "Refund",
"priority": "high",
"status": "in_progress",
"dueAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z",
"createdAt": "2026-11-04T09:12:00Z",
"updatedAt": "2026-11-05T10:00:00Z",
"notifyCustomer": true,
"customer": {
"name": "Ada Obi",
"channel": "whatsapp",
"phone": "+2348012345678",
"email": "<string>",
"userId": "user_42"
},
"owner": {
"name": "Kemi"
},
"chatUrl": "<string>",
"url": "https://usefrictionless.com/tickets/NE-1042"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Path Parameters
Body
application/json

